## mudita24 1.0.3

=== debian/changelog ===
mudita24 (1.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #628072)

 -- Alessio Treglia <alessio@debian.org>  Tue, 21 Jun 2011 10:11:09 +0200
