=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=mudita24-dbg

override_dh_install:
	dh_install
	cd debian/mudita24/usr/bin && mv envy24control mudita24
	cd debian/mudita24/usr/share/man/man1 && \
		mv envy24control.1 mudita24.1
