## mudita24 1.0.3%2Bsvn13

=== debian/changelog ===
mudita24 (1.0.3+svn13-5) unstable; urgency=medium

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 11:06:18 +0000

mudita24 (1.0.3+svn13-4) unstable; urgency=low

  * Add desktop launcher and icon file.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 11 Mar 2012 10:00:28 +0100

mudita24 (1.0.3+svn13-3) unstable; urgency=low

  * Attempt to make meters work again. (Closes: #655708)

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Jan 2012 18:33:29 +0100

mudita24 (1.0.3+svn13-2) unstable; urgency=low

  * Build mudita24 on linux-any only.
  * Depends on alsa-utils.

 -- Alessio Treglia <alessio@debian.org>  Sun, 15 Jan 2012 18:31:15 +0100

mudita24 (1.0.3+svn13-1) unstable; urgency=low

  * New upstream snapshot.
  * Change buildsystem from autoconf to cmake.
  * envy24control has been renamed to mudita24 by upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Jan 2012 17:51:37 +0100
