## mudita24 1.0.3+svn13

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,25 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- dh-autoreconf,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ cmake,
+ debhelper (>= 7.0.50~),
  libasound2-dev,
  libgtk2.0-dev,
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mudita24/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mudita24.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mudita24.git
 
 Package: mudita24
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Architecture: linux-any
+Depends:
+ alsa-utils,
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: ALSA GUI control tool for Envy24 (ice1712) soundcards
  Mudita24 is a modification of the Linux alsa-tools' envy24control: an
  application controlling the digital mixer, channel gains and other hardware
@@ -43,7 +47,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: mudita24 (= ${binary:Version}),
+Depends:
+ mudita24 (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for mudita24
  Mudita24 is a modification of the Linux alsa-tools' envy24control: an
