=== debian/watch ===
version=3
http://nielsmayer.com/envy24control/mudita24-([\d\.]+)\.tar\.gz
