## mudita24 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,9 @@
 set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
 set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
 
-SET(mudita24_INSTALL_NAME  "mudita24-1.0.4")
+SET(mudita24_INSTALL_NAME  "mudita24-1.1.0")
 SET(mudita24_EXEC_NAME     "mudita24")
-SET(mudita24_VERSION       "1.0.4")
+SET(mudita24_VERSION       "1.1.0")
 FIND_PROGRAM(SVNVER svnversion)
 if (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
       SET (mudita24_SVNVER 0)
