=== debian/changelog ===
mudita24 (1.1.0-0~precise1) precise; urgency=low

  * Update to stable release

 -- falkTX <falktx@gmail.com>  Mon, 11 Feb 2013 11:03:07 +0000
